variables:
  GIT_SUBMODULE_STRATEGY: recursive
  # input
  VERSION:
    value: ""
    description: "Set version number of manuals"


image: registry.gitlab.com/islandoftex/images/texlive:TL2021-historic

NEMO manual:
  tags:
    - docker
  stage: build
  when: manual
  script:
    # fix sed in place issue between osx and linux
    - sed -i "s/sed -i ''/sed -i /g" manual_build.sh
    - version=${CI_COMMIT_REF_NAME}
    - if [ "x${VERSION}" != "x" ] ; then version=${VERSION} ; fi
    - bash -x manual_build.sh -r ${VERSION} -p NEMO
  artifacts:
    paths:
      - NEMO_manual.pdf
    expire_in: 1 hour

TOP manual:
  tags:
    - docker
  stage: build
  when: manual
  script:
    # fix sed in place issue between osx and linux
    - sed -i "s/sed -i ''/sed -i /g" manual_build.sh
    - bash -x manual_build.sh -r ${CI_COMMIT_REF_NAME} -p TOP
  artifacts:
    paths:
      - TOP_manual.pdf
    expire_in: 1 hour

SI3 manual:
  tags:
    - docker
  stage: build
  when: manual
  script:
    # fix sed in place issue between osx and linux
    - sed -i "s/sed -i ''/sed -i /g" manual_build.sh
    - bash -x manual_build.sh -r ${CI_COMMIT_REF_NAME} -p SI3
  artifacts:
    paths:
      - SI3_manual.pdf
    expire_in: 1 hour